---
title: parseFloat()
slug: Web/JavaScript/Reference/Global_Objects/parseFloat
tags:
  - JavaScript
  - Method
  - Reference
---
<div>{{jsSidebar("Objects")}}</div>

<p><span class="seoSummary">The <code><strong>parseFloat()</strong></code> function parses an argument (converting it to a string first if needed) and returns a floating point number.</span></p>

<div>{{EmbedInteractiveExample("pages/js/globalprops-parsefloat.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">parseFloat(<em>string</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code><var>string</var></code></dt>
	<dd>The value to parse. If this argument is not a string, then it is converted to one using the <code><a href="https://tc39.es/ecma262/#sec-tostring">ToString</a></code> abstract operation. Leading {{glossary("whitespace")}} in this argument is ignored.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A floating point number parsed from the given <code><var>string</var></code>.</p>

<p>Or {{jsxref("NaN")}} when the first non-whitespace character cannot be converted to a number.</p>

<h2 id="Description">Description</h2>

<p><code>parseFloat</code> is a function property of the global object.</p>

<ul>
	<li>If <code>parseFloat</code> encounters a character other than a plus sign (<code>+</code>), minus sign (<code>-</code> U+002D HYPHEN-MINUS), numeral (<code>0</code>–<code>9</code>), decimal point (<code>.</code>), or exponent (<code>e</code> or <code>E</code>), it returns the value up to that character, ignoring the invalid character and characters following it.</li>
	<li>A <em>second</em> decimal point also stops parsing (characters up to that point will still be parsed).</li>
	<li>Leading and trailing spaces in the argument are ignored.</li>
	<li>If the argument’s first character can’t be converted to a number (it’s not any of the above characters), <code>parseFloat</code> returns {{jsxref("NaN")}}.</li>
	<li><code>parseFloat</code> can also parse and return {{jsxref("Infinity")}}.</li>
	<li><code>parseFloat</code> converts {{jsxref("BigInt")}} syntax to {{jsxref("Number", "Numbers")}}, losing precision. This happens because the trailing <code>n</code> character is discarded.</li>
</ul>

<p>Consider {{jsxref("Number", "Number(value)")}} for stricter parsing, which converts to {{jsxref("NaN")}} for arguments with invalid characters anywhere.</p>

<p><code>parseFloat</code> will parse non-string objects if they have a {{jsxref("Object.toString", "toString")}} or {{jsxref("Object.valueOf", "valueOf")}} method. The returned value is the same as if <code>parseFloat</code> had been called on the result of those methods.</p>

<h2 id="Examples">Examples</h2>

<h3 id="parseFloat_returning_a_number"><code>parseFloat</code> returning a number</h3>

<p>The following examples all return <code>3.14</code>:</p>

<pre class="brush: js notranslate">parseFloat(3.14);
parseFloat('3.14');
parseFloat('  3.14  ');
parseFloat('314e-2');
parseFloat('0.0314E+2');
parseFloat('3.14some non-digit characters');
parseFloat({ toString: function() { return "3.14" } });
</pre>

<h3 id="parseFloat_returning_NaN"><code>parseFloat</code> returning <code>NaN</code></h3>

<p>The following example returns <code>NaN</code>:</p>

<pre class="brush: js notranslate">parseFloat('FF2');
</pre>

<h3 id="parseFloat_and_BigInt"><code>parseFloat</code> and <code>BigInt</code></h3>

<p>The following examples both return <code>900719925474099300</code>, losing precision as the integer is too large to be represented as a float:</p>

<pre class="brush: js notranslate">parseFloat(900719925474099267n);
parseFloat('900719925474099267n');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('ESDraft', '#sec-parsefloat-string', 'parseFloat')}}</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.parseFloat")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{jsxref("parseInt", "parseInt()")}}</li>
	<li>{{jsxref("Number.parseFloat()")}}</li>
	<li>{{jsxref("Number.parseInt()")}}</li>
	<li>{{jsxref("Number.toFixed()")}}</li>
	<li>{{jsxref("isNaN", "isNaN()")}}</li>
</ul>
